#include <Adafruit_NeoPixel.h>

#define DIN_PIN 6
#define NUM_PIXELS 8
#define INPUT_PIN A0

Adafruit_NeoPixel pixels(NUM_PIXELS, DIN_PIN);

uint32_t colors[] = {
  pixels.Color(0, 0, 255),
  pixels.Color(0, 0, 255),
  pixels.Color(0, 255, 0),
  pixels.Color(0, 255, 0),
  pixels.Color(255, 255, 0),
  pixels.Color(255, 255, 0),
  pixels.Color(255, 0, 0),
  pixels.Color(255, 0, 0),
};

void setup() {
  pixels.begin();
  pixels.setBrightness(128);
  pixels.clear();
  pixels.show();
}

void loop() {
  int value = analogRead(INPUT_PIN);
  pixels.clear();

  int limit = value * (NUM_PIXELS + 1) / 1023;
  for (int i = 0; i < limit; i++) {
    pixels.setPixelColor(i, colors[i]);
  }

  pixels.show();
  delay(100);
}

